Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354345 - dnf fails with UnicodeEncodeError if an argument contains Unicode characters;
Summary: dnf fails with UnicodeEncodeError if an argument contains Unicode characters;
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 24
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Štěpán Smetana
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 07:32 UTC by Paweł Szymon Kosiński (pskosinski)
Modified: 2016-07-13 04:30 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-12 11:40:14 UTC


Attachments (Terms of Use)
terminal output of the command with the backtrace on the end (deleted)
2016-07-11 07:32 UTC, Paweł Szymon Kosiński (pskosinski)
no flags Details
part of the dnf.log with the log of the described transaction (deleted)
2016-07-11 07:34 UTC, Paweł Szymon Kosiński (pskosinski)
no flags Details

Description Paweł Szymon Kosiński (pskosinski) 2016-07-11 07:32:15 UTC
Created attachment 1178269 [details]
terminal output of the command with the backtrace on the end

Description of problem:
dnf fails with UnicodeEncodeError if an argument contains Unicode characters

Version-Release number of selected component (if applicable):
dnf-0:1.1.9-2.fc24.noarch

Steps to Reproduce:
When using Polish localization execute:
dnf group install 'Środowisko Xfce'

Actual results:
The command (installation) fails with the error:
UnicodeEncodeError: 'ascii' codec can't encode character '\u015a' in position 14: ordinal not in range(128)
Where \u015a is the "Ś" character from the argument "Środowisko Xfce"

Expected results:
Flawless installation.

Comment 1 Paweł Szymon Kosiński (pskosinski) 2016-07-11 07:34:42 UTC
Created attachment 1178270 [details]
part of the dnf.log with the log of the described transaction

Comment 2 Parag Nemade 2016-07-11 08:10:26 UTC
I am not sure if this is the fix but are you sure you have following package installed on your system?
glibc-langpack-pl

Comment 3 Štěpán Smetana 2016-07-11 09:06:32 UTC
Should be working fine in upcomming release.

Comment 4 Igor Gnatenko 2016-07-11 09:13:58 UTC
(In reply to Parag Nemade from comment #2)
> I am not sure if this is the fix but are you sure you have following package
> installed on your system?
> glibc-langpack-pl
it doesn't help

Comment 5 Paweł Szymon Kosiński (pskosinski) 2016-07-11 10:52:22 UTC
(In reply to Parag Nemade from comment #2)
> I am not sure if this is the fix but are you sure you have following package
> installed on your system?
> glibc-langpack-pl

(In reply to Igor Gnatenko from comment #4)
> (In reply to Parag Nemade from comment #2)
> > I am not sure if this is the fix but are you sure you have following package
> > installed on your system?
> > glibc-langpack-pl
> it doesn't help

I didn't have that package installed but I can confirm that installing it didn't help.

(In reply to Štěpán Smetana from comment #3)
> Should be working fine in upcomming release.

So it should be already fixed in rawhide? Neat.

Comment 6 Parag Nemade 2016-07-12 00:13:32 UTC
May I know the reason for these tracebacks?

[parag@f24 ~]$ sudo LANG=pl_PL.UTF-8 dnf group install 'Środowisko Xfce'
Failed to set locale, defaulting to C
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode characters in position 50-51: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 93, in _main
    cli.configure(list(map(ucd, args)))
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1032, in configure
    self._log_essentials()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 789, in _log_essentials
    'Command: %s', self.cmdstring)
Message: 'Command: %s'
Arguments: ('dnf group install \udcc5\udc9arodowisko Xfce ',)
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u017c' in position 55: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 820, in _process_demands
    time.ctime(repo.metadata.md_timestamp))
Message: '%s: u\u017cywanie metadanych z %s.'
Arguments: ('rpmfusion-free-updates-testing', 'Sat Jul  2 03:29:57 2016')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u017c' in position 38: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 820, in _process_demands
    time.ctime(repo.metadata.md_timestamp))
Message: '%s: u\u017cywanie metadanych z %s.'
Arguments: ('spot-chromium', 'Fri Jul  8 01:31:07 2016')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u017c' in position 32: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 820, in _process_demands
    time.ctime(repo.metadata.md_timestamp))
Message: '%s: u\u017cywanie metadanych z %s.'
Arguments: ('updates', 'Sun Jul 10 11:09:47 2016')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u017c' in position 40: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 820, in _process_demands
    time.ctime(repo.metadata.md_timestamp))
Message: '%s: u\u017cywanie metadanych z %s.'
Arguments: ('updates-testing', 'Sun Jul 10 21:20:07 2016')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u017c' in position 50: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 820, in _process_demands
    time.ctime(repo.metadata.md_timestamp))
Message: '%s: u\u017cywanie metadanych z %s.'
Arguments: ('rpmfusion-nonfree-updates', 'Sat Jul  2 03:17:36 2016')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u017c' in position 31: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 820, in _process_demands
    time.ctime(repo.metadata.md_timestamp))
Message: '%s: u\u017cywanie metadanych z %s.'
Arguments: ('fedora', 'Tue Jun 14 21:37:53 2016')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u017c' in position 38: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 820, in _process_demands
    time.ctime(repo.metadata.md_timestamp))
Message: '%s: u\u017cywanie metadanych z %s.'
Arguments: ('google-chrome', 'Fri Jul  8 01:56:21 2016')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u017c' in position 34: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 820, in _process_demands
    time.ctime(repo.metadata.md_timestamp))
Message: '%s: u\u017cywanie metadanych z %s.'
Arguments: ('bluejeans', 'Fri Jul  8 11:28:01 2016')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u017c' in position 43: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 820, in _process_demands
    time.ctime(repo.metadata.md_timestamp))
Message: '%s: u\u017cywanie metadanych z %s.'
Arguments: ('adobe-linux-x86_64', 'Mon Jun  6 20:45:16 2016')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u017c' in position 37: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 820, in _process_demands
    time.ctime(repo.metadata.md_timestamp))
Message: '%s: u\u017cywanie metadanych z %s.'
Arguments: ('pnemade-misc', 'Mon Jul 11 11:30:32 2016')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u017c' in position 47: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 820, in _process_demands
    time.ctime(repo.metadata.md_timestamp))
Message: '%s: u\u017cywanie metadanych z %s.'
Arguments: ('rpmfusion-free-updates', 'Sat Jul  2 03:09:18 2016')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u017c' in position 42: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 820, in _process_demands
    time.ctime(repo.metadata.md_timestamp))
Message: '%s: u\u017cywanie metadanych z %s.'
Arguments: ('rpmfusion-nonfree', 'Sat Jun 25 02:39:00 2016')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u017c' in position 58: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 820, in _process_demands
    time.ctime(repo.metadata.md_timestamp))
Message: '%s: u\u017cywanie metadanych z %s.'
Arguments: ('rpmfusion-nonfree-updates-testing', 'Sat Jul  2 03:30:10 2016')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u017c' in position 30: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 820, in _process_demands
    time.ctime(repo.metadata.md_timestamp))
Message: '%s: u\u017cywanie metadanych z %s.'
Arguments: ('rhpkg', 'Mon May  9 16:45:49 2016')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u017c' in position 39: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 820, in _process_demands
    time.ctime(repo.metadata.md_timestamp))
Message: '%s: u\u017cywanie metadanych z %s.'
Arguments: ('rpmfusion-free', 'Sat Jun 25 02:30:24 2016')
Ostatnio sprawdzono wa\u017cno\u015b\u0107 metadanych: 0:03:39 temu w dniu Tue Jul 12 05:38:20 2016.
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u017c' in position 43: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1095, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 825, in _process_demands
    time.ctime(mts))
Message: 'Ostatnio sprawdzono wa\u017cno\u015b\u0107 metadanych: %s temu w dniu %s.'
Arguments: (datetime.timedelta(0, 219), 'Tue Jul 12 05:38:20 2016')
Warning: Grupa \u201e\udcc5\udc9arodowisko Xfce\u201d nie istnieje.
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 1307, in env_group_install
    res = q.get(pattern)
  File "/usr/lib/python3.5/site-packages/dnf/comps.py", line 173, in get
    raise CompsError(msg)
dnf.exceptions.CompsError: Grupa \u201e\udcc5\udc9arodowisko Xfce\u201d nie istnieje.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode characters in position 37-39: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1096, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python3.5/site-packages/dnf/cli/commands/group.py", line 407, in run
    return self.base.env_group_install(patterns, types)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 1309, in env_group_install
    logger.error("Warning: %s", ucd(err))
Message: 'Warning: %s'
Arguments: ('Grupa \u201e\udcc5\udc9arodowisko Xfce\u201d nie istnieje.',)
B\u0142\u0105d: Nie ma niczego do zrobienia.
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 112, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 1096, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python3.5/site-packages/dnf/cli/commands/group.py", line 407, in run
    return self.base.env_group_install(patterns, types)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 1317, in env_group_install
    raise dnf.exceptions.Error(_('Nothing to do.'))
dnf.exceptions.Error: Nie ma niczego do zrobienia.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode characters in position 26-27: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 71, in main
    return ex_Error(e)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 53, in ex_Error
    logger.critical(_('Error: %s'), ucd(e))
Message: 'B\u0142\u0105d: %s'
Arguments: ('Nie ma niczego do zrobienia.',)

Comment 7 Parag Nemade 2016-07-12 00:16:15 UTC
Then,
When I execute following
[parag@f24 ~]$ sudo dnf install glibc-langpack-pl
Last metadata expiration check: 0:05:27 ago on Tue Jul 12 05:38:20 2016.
Dependencies resolved.
===================================================================================================================================================================================================================
 Package                                                  Arch                                          Version                                               Repository                                      Size
===================================================================================================================================================================================================================
Installing:
 glibc-langpack-pl                                        x86_64                                        2.23.1-8.fc24                                         updates                                        132 k

Transaction Summary
===================================================================================================================================================================================================================
Install  1 Package

Total download size: 132 k
Installed size: 854 k
Is this ok [y/N]: y
Downloading Packages:
glibc-langpack-pl-2.23.1-8.fc24.x86_64.rpm                                                                                                                                         142 kB/s | 132 kB     00:00    
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                               51 kB/s | 132 kB     00:02     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : glibc-langpack-pl-2.23.1-8.fc24.x86_64                                                                                                                                                         1/1 
  Verifying   : glibc-langpack-pl-2.23.1-8.fc24.x86_64                                                                                                                                                         1/1 

Installed:
  glibc-langpack-pl.x86_64 2.23.1-8.fc24                                                                                                                                                                           

Complete!
[parag@f24 ~]$ sudo LANG=pl_PL.UTF-8 dnf group install 'Środowisko Xfce'
Ostatnio sprawdzono ważność metadanych: 0:05:42 temu w dniu Tue Jul 12 05:38:20 2016.
Rozwiązano zależności.

<snip>
I got transaction information with list of packages to install.

Comment 8 Paweł Szymon Kosiński (pskosinski) 2016-07-12 07:10:07 UTC
(In reply to Parag Nemade from comment #6)
> I got transaction information with list of packages to install.

So do I. And when I confirm I want to install them, they are getting downloaded, installed, the checking starts and then after the first check dnf says the transaction failed and that packages are in cache until the next successful transaction (now I got a bit confused if they are getting really installed or not). And on the end the traceback with the error appears:

UnicodeEncodeError: 'ascii' codec can't encode character '\u015a' in position 14: ordinal not in range(128)

(full log in attachment 1178269 [details])

So yes, everything seems OK, even "installation step" but on the very end (when the checking starts) dnf throws error and says the packages weren't installed.

Comment 9 Honza Silhan 2016-07-12 09:49:57 UTC
we'll take a look at another bug that occurred after fixing the first one :). Stepan, please, take a look.

Comment 10 Štěpán Smetana 2016-07-12 11:40:14 UTC
Both of these bugs has already been fixed. Please wait for upcomming release.

Comment 11 Michal Luscon 2016-07-12 13:21:45 UTC
(In reply to Parag Nemade from comment #6)
> May I know the reason for these tracebacks?
> 

See https://github.com/rpm-software-management/dnf/commit/93159e360f0b6150e598bba783e22ca113201a40 .

Comment 12 Parag Nemade 2016-07-13 04:30:25 UTC
Thank you Michal, your comment really helped me to understand this issue.


Note You need to log in before you can comment on or make changes to this bug.